Docs

Replay a notification

Attempts to resend a `delivered` or `failed` notification using its ID.

POST /notifications/{notification_id}/replay

Attempts to resend a delivered or failed notification using its ID.

Paddle creates a new notification entity for the replay, related to the same event_id. Your response includes the new notification_id of the created notification.

Notifications older than 90 days aren't retained. If you try to replay a notification that's no longer retained, Paddle returns an error.

Only notifications with the origin of event can be replayed. You can't replay a notification created for a replay.

Requires notification.write permission.

Path parameters

notification_idstringrequired
Paddle ID of the notification entity to work with.

Response (202)

dataobjectrequired
Represents a notification replay entity.
notification_idstringrequired
Example: ntf_01ghbkd0frb9k95cnhwd1bxpvk
Unique Paddle ID for this notification, prefixed with ntf_.
Pattern: ^ntf_[a-z\d]{26}$
metaobjectrequired
Information about this response.
request_idstringrequired
Example: b15ec92e-8688-40d4-a04d-f44cbec93355
Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
Response
{
"data": {
"notification_id": "ntf_01h46h1s2zabpkdks7yt4vkgkc"
},
"meta": {
"request_id": "cfe92cac-86a1-49fe-ac50-20620dcd024f"
}
}

Was this page helpful?